{
  "editor.tabSize": 2,
  "editor.formatOnSave": true,
  "editor.codeActionsOnSave": {
    // For ESLint
    "source.fixAll.eslint": true,
    // For TSLint
    "source.fixAll.tslint": true,
    // For Stylelint
    "source.fixAll.stylelint": true
  },
  "files.eol": "\n",
  "files.watcherExclude": {
    "**/node_modules/**": true
  },
  "editor.defaultFormatter": "esbenp.prettier-vscode",
  "eslint.packageManager": "yarn",
  "eslint.validate": [
    "javascript",
    "javascriptreact",
    "typescript",
    "typescriptreact"
  ],
  "eslint.workingDirectories": [{ "mode": "auto" }],
  "editor.suggestSelection": "first",
  "editor.snippetSuggestions": "top",
  "editor.scrollBeyondLastLine": false,
  "javascript.preferences.importModuleSpecifier": "non-relative"
  // "javascript.inlayHints.functionLikeReturnTypes.enabled": true,
  // "javascript.inlayHints.parameterTypes.enabled": true,
  // "js/ts.implicitProjectConfig.checkJs": true,
  // "js/ts.implicitProjectConfig.strictNullChecks": true,
  // "js/ts.implicitProjectConfig.experimentalDecorators": true,
  // "typescript.inlayHints.propertyDeclarationTypes.enabled": true,
  // "typescript.inlayHints.variableTypes.enabled": true,
  // "typescript.inlayHints.enumMemberValues.enabled": true,
  // "typescript.inlayHints.parameterNames.enabled": "literals"
}
